PROGRAM_NAME='VolumeComponent'
(***********************************************************)
(*  FILE CREATED ON: 12/09/2005  AT: 09:42:18              *)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 02/14/2006  AT: 12:40:48        *)
(***********************************************************)

#if_not_defined __Volume_Component__
#define __Volume_Component__

DEFINE_DEVICE

DEFINE_CONSTANT

integer nVolOutBtns[] =
{
	301,	// Output 1
	302,	// Output 2
	303,	// Output 3
	304	// Output 4
}

integer nVolPresetBtns[] =
{
	371,	// Volume Preset 1
	372,	// Volume Preset 2
	373,	// Volume Preset 3
	374,	// Volume Preset 4
	375		// Volume Preset 5
}

integer nVolBtns[] = 
{
	24,		//  1 - Volume Up
	25,		//  2 - Volume Down
	26,		//  3 - Set Volume Mute
	376,	//  4 - Set Volume Preset
	199,	//  5 - Cycle Volume Mute
	138,	//  6 - Cycle Volume Preset
	3001,	//  7 - Set Volume Level (release)
	1370	//  8 - Query volume preset
}

integer nVolLevels[] =
{
	1
}

integer nVolFBBtns[] =
{
	301,	// Output 1
	302,	// Output 2
	303,	// Output 3
	304,	// Output 4
	305,	// Output 5
	306,	// Output 6
	307,	// Output 7
	308,	// Output 8
	309,	// Output 9
	310,	// Output 10
	311,	// Output 11
	312,	// Output 12
	313,	// Output 13
	314,	// Output 14
	315,	// Output 15
	316,	// Output 16
	317,	// Output 17
	318,	// Output 18
	319,	// Output 19
	320,	// Output 20
	376,	// Set Volume Preset
	371,	// Volume Preset 1
	372,	// Volume Preset 2
	373,	// Volume Preset 3
	374,	// Volume Preset 4
	375		// Volume Preset 5
}

DEFINE_VARIABLE

integer nVolLvlStore[20] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
integer nVolPsetStore[20] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }

DEFINE_START

/* Copy / paste the data below, changing the variables if needed

define_module 'VolumeComponent' mVolCmp1(vdvDeviceArray,
										 dvTP,
										 nVolBtns,
										 nVolLevels,
										 nVolOutBtns,
										 nVolPresetBtns,
										 nVolLvlStore,
										 nVolPsetStore,
										 nVolFBBtns)

*/

DEFINE_EVENT

DEFINE_PROGRAM

#end_if
